import { Reward } from "../../../saasquatch";
import { RewardTableColumn } from "./RewardTableColumn";
/**
 * @uiName Rewards Table Customer Note Column
 * @validParents ["sqm-rewards-table"]
 * @exampleGroup Rewards
 * @example Customer Note Column - <sqm-rewards-table-customer-note-column column-title="Note"></sqm-rewards-table-customer-note-column>
 */
export declare class RewardTableCustomerNoteColumn implements RewardTableColumn {
  /**
   * @uiName Column title
   */
  columnTitle: string;
  constructor();
  disconnectedCallback(): void;
  renderCell(data: Reward, options?: {
    locale: string;
  }): Promise<any>;
  renderLabel(): Promise<string>;
  render(): any;
}
